std::decimal::decimal64(3cxx)

NAME
std::decimal::decimal64 - 3.2.3 Class decimal64.

SYNOPSIS

  Public Types

typedef float __decfloat64 __attribute__((mode(DD)))

  Public Member Functions

decimal64 (__decfloat64 __z)
Conforming extension: Conversion from scalar decimal type.
decimal64 (decimal128 d128)
decimal64 (decimal32 d32)
decimal64 (double __r)
decimal64 (float __r)
decimal64 (int __z)
decimal64 (long __z)
decimal64 (long double __r)
decimal64 (long long __z)
decimal64 (unsigned int __z)
decimal64 (unsigned long __z)
decimal64 (unsigned long long __z)
__decfloat64 __getval (void)
void __setval (__decfloat64 __x)
operator long long () const
decimal64 & operator*= (decimal128 __rhs)
decimal64 & operator*= (decimal32 __rhs)
decimal64 & operator*= (decimal64 __rhs)
decimal64 & operator*= (int __rhs)
decimal64 & operator*= (long __rhs)
decimal64 & operator*= (long long __rhs)
decimal64 & operator*= (unsigned int __rhs)
decimal64 & operator*= (unsigned long __rhs)
decimal64 & operator*= (unsigned long long __rhs)
decimal64 & operator++ ()
decimal64 operator++ (int)
decimal64 & operator+= (decimal128 __rhs)
decimal64 & operator+= (decimal32 __rhs)
decimal64 & operator+= (decimal64 __rhs)
decimal64 & operator+= (int __rhs)
decimal64 & operator+= (long __rhs)
decimal64 & operator+= (long long __rhs)
decimal64 & operator+= (unsigned int __rhs)
decimal64 & operator+= (unsigned long __rhs)
decimal64 & operator+= (unsigned long long __rhs)
decimal64 & operator-- ()
decimal64 operator-- (int)
decimal64 & operator-= (decimal128 __rhs)
decimal64 & operator-= (decimal32 __rhs)
decimal64 & operator-= (decimal64 __rhs)
decimal64 & operator-= (int __rhs)
decimal64 & operator-= (long __rhs)
decimal64 & operator-= (long long __rhs)
decimal64 & operator-= (unsigned int __rhs)
decimal64 & operator-= (unsigned long __rhs)
decimal64 & operator-= (unsigned long long __rhs)
decimal64 & operator/= (decimal128 __rhs)
decimal64 & operator/= (decimal32 __rhs)
decimal64 & operator/= (decimal64 __rhs)
decimal64 & operator/= (int __rhs)
decimal64 & operator/= (long __rhs)
decimal64 & operator/= (long long __rhs)
decimal64 & operator/= (unsigned int __rhs)
decimal64 & operator/= (unsigned long __rhs)
decimal64 & operator/= (unsigned long long __rhs)

Detailed Description

3.2.3 Class decimal64.

Definition at line 313 of file decimal.

Author

Generated automatically by Doxygen for libstdc++ from the source code.